Subject: Re: [PATCH 0/8] powerpc/8xx: Getting rid of CONFIG_8xx

From: Michael Ellerman <[email-masked]>
Date: Wed, 08 Apr 2015 13:25:58 +1000

On Tue, 2015-04-07 at 16:31 -0500, Scott Wood wrote:
> On Tue, 2015-04-07 at 10:19 +0200, leroy christophe wrote:
> > Le 25/03/2015 01:45, Scott Wood a écrit :
> > > On Fri, 2015-03-13 at 10:34 +1100, Michael Ellerman wrote:
> > >> You'll need to collect ACKs, or get the individual patches merged, and then we
> > >> can take patch 8 through the powerpc tree once those are all in - probably for
> > >> 4.2.
> > > It looks like CONFIG_8xx is used a lot more than CONFIG_PPC_8xx, so it
> > > would be less churn to get rid of the latter (plus, we also have
> > > CONFIG_4xx, CONFIG_6xx, etc).  The only use of PPC_8xx I see outside
> > > arch/powerpc is in drivers/watchdog/Kconfig.
> > 
> > Ok, we can do that. But when outside of arch/powerpc/, isn't is more 
> > explicit with CONFIG_PPC_8xx rather that CONFIG_8xx ?
> 
> Yes, CONFIG_PPC_8xx is a better name, but churn and consistency matter
> as well.
> 
> > Now that I have submitted the first set of patch, don't we have a risk 
> > that now it is already merged by some other maintainers ?
> 
> Sigh.  I see a couple in linux-next.

Yeah, I think we missed the boat on that one.

cheers